package_skeleton {SimInf} | R Documentation

## Create a package skeleton from a `SimInf_model`

### Description

Describe your model in a logical way in R, then `mparse` creates a `SimInf_model` object with your model definition that can be installed as an add-on R package.

### Usage

    package_skeleton(model, name = NULL, path = ".", author = NULL,
      email = NULL, maintainer = NULL, license = "GPL-3")

### Arguments

`model` | The `model` `SimInf_model` object with your model to create the package skeleton from.
`name` | Character string: the package name and directory name for your package.
`path` | Path to put the package directory in. Default is '.' i.e. the current directory.
`author` | Author of the package.
`email` | Email of the package maintainer.
`maintainer` | Maintainer of the package.
`license` | License of the package. Default is 'GPL-3'.

### Value

invisible `NULL`.

### References

Read the Writing R Extensions manual for more details.

Once you have created a source package you need to install it: see the R Installation and Administration manual, `INSTALL` and `install.packages`.

[Package SimInf version 6.3.0 Index]